#procedure movepslash()

* This file is part of aITALC
* Copyright (C) 2004 Alejandro Lorca <alejandro.lorca@desy.de>
*------------------------------------------------------------- 
** Procedure to place the desired gamma(p) to the sides of fermion chains to apply Dirac
** Begun on 27/08/03

repeat;
** The cool thing is that in order to prepare Dirac eq we don't worry about channels,
** We push in a do loop:
*  Ingoing particle momentum -> right
*  Ingoing antipart momentum <- left
* Outgoing particle momentum <- left
* Outgoing antipart momentum -> right


id gamma(line?,p0?P)*gamma(line?,p0?P)=p0.p0;

* Ingoing
#do part=1,2
  #if `u{`part'}' == +1
    id gamma(`l{`part'}',`absep{`part'}')*gamma(`l{`part'}',mu0?index_)=`absep{`part'}'(mu0)*2
                                      -gamma(`l{`part'}',mu0)*gamma(`l{`part'}',`absep{`part'}');
    id gamma(`l{`part'}',`absep{`part'}')*gamma(`l{`part'}',p0?)=`absep{`part'}'.p0*2
                                      -gamma(`l{`part'}',p0)*gamma(`l{`part'}',`absep{`part'}');
  #elseif `u{`part'}' == -1
    id gamma(`l{`part'}',mu0?index_)*gamma(`l{`part'}',`absep{`part'}')=`absep{`part'}'(mu0)*2
                                    -gamma(`l{`part'}',`absep{`part'}')*gamma(`l{`part'}',mu0);
    id gamma(`l{`part'}',p0?)*gamma(`l{`part'}',`absep{`part'}')=`absep{`part'}'.p0*2
                                    -gamma(`l{`part'}',`absep{`part'}')*gamma(`l{`part'}',p0);
  #else
    #message [diracequation: Bad defined particle code, u`part' at `PROCESSNAME'.in]
  #endif
#enddo
* Outgoing
#do part=3,4
  #if `u{`part'}' == -1
    id gamma(`l{`part'}',`absep{`part'}')*gamma(`l{`part'}',mu0?index_)=`absep{`part'}'(mu0)*2
                                      -gamma(`l{`part'}',mu0)*gamma(`l{`part'}',`absep{`part'}');
    id gamma(`l{`part'}',`absep{`part'}')*gamma(`l{`part'}',p0?)=`absep{`part'}'.p0*2
                                      -gamma(`l{`part'}',p0)*gamma(`l{`part'}',`absep{`part'}');
  #elseif `u{`part'}' == +1
    id gamma(`l{`part'}',mu0?index_)*gamma(`l{`part'}',`absep{`part'}')=`absep{`part'}'(mu0)*2
                                      -gamma(`l{`part'}',`absep{`part'}')*gamma(`l{`part'}',mu0);
    id gamma(`l{`part'}',p0?)*gamma(`l{`part'}',`absep{`part'}')=`absep{`part'}'.p0*2
                                    -gamma(`l{`part'}',`absep{`part'}')*gamma(`l{`part'}',p0);
  #else
    #message [diracequation: Bad defined particle code, u`part' at `PROCESSNAME'.in]
  #endif
#enddo

endrepeat;

#endprocedure
*$Id: movepslash.prc,v 1.3 2004/10/08 14:28:12 alorca Exp $
